Page MenuHomePhabricator

CX2: Access more details from the issue summary in a card
Closed, ResolvedPublic

Description

The system to communicate issues (T189488) shows errors and warnings of different kinds. Some errors are surfaced in the "issue summary" panel at the top of the content:

  • Issue summary. A summary informing of issues related to the user action. It won't provide a detailed description of the issue, but a "more details" action that will expand the Issue card. One summary text will be supported even if multiple issues are present.

Currently the issue summary does not support yet a "view issues" option that provides access to a corresponding issue card with more details. The example below illustrates the interaction that we want to support (the specific information will be different depending on the kind of error or warning shown).

Clicking on the "view issues" action shows the issue card (equivalent to click on "view details" on the issue summary card), but also removes the issue summary message (equivalent to click the "X" icon).


Related tickets that will use this mechanism:

Event Timeline

Pginer-WMF triaged this task as High priority.Oct 25 2018, 11:21 AM
Pginer-WMF created this task.
Arrbee moved this task from Needs Triage to CX2 on the ContentTranslation board.Oct 29 2018, 1:00 PM

Change 470797 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Connect infobar with issue card

https://gerrit.wikimedia.org/r/470797

Change 470797 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Connect infobar with issue card

https://gerrit.wikimedia.org/r/470797

Etonkovidova closed this task as Resolved.Nov 21 2018, 1:53 AM

Checked in cx2 - the issue card looks according to the specs:

Clicking on 'View details' (the minor issue - there is not much of visible difference between an error and warning when the issue card is expanded):

  • an error

  • a warning

Clicking on 'View details' (the minor issue - there is not much of visible difference between an error and warning when the issue card is expanded):

Using colors to help distinguish the icons would help. This ticket captures that: T200773: CX2: Use color icons on issue cards